﻿@using Microsoft.AspNetCore.Http.Features

@{
    var consentFeature = Context.Features.Get<ITrackingConsentFeature>();
    var showBanner = !consentFeature?.CanTrack ?? false;
    var cookieString = consentFeature?.CreateConsentCookie();
}

@if (showBanner)
{
<div id="cookieConsent" class="alert alert-info alert-dismissible fade show" role="alert">

     کاربر گرامی این سایت ایمیل و نام  و شناسه کاربری شما را در قالب یک فایل cookie در مرورگر شما نگهداری می تماید . 

    <a asp-area="" asp-controller="Home" asp-action="Privacy">بیشتر</a>.
    <button type="button" class="accept-policy close" data-dismiss="alert" aria-label="Close" data-cookie-string="@cookieString">
        <span aria-hidden="true">تائید</span>
    </button>
</div>
    <script>
        (function () {
            var button = document.querySelector("#cookieConsent button[data-cookie-string]");
            button.addEventListener("click", function (event) {
                document.cookie = button.dataset.cookieString;
            }, false);
        })();
    </script>
}
